Bug 187501 - device_to_gendisk() is lacking mntput(nd.mnt) on exit
Summary: device_to_gendisk() is lacking mntput(nd.mnt) on exit
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alexander Viro
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 161161 181409
TreeView+ depends on / blocked
 
Reported: 2006-03-31 13:23 UTC by Tim Burke
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 23:01:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Tim Burke 2006-03-31 13:23:15 UTC
kernel/dump.c::device_to_gendisk() is lacking mntput(nd.mnt) on the
exit.  It needs to be added; we are leaking reference here.

Comment 1 Bob Johnson 2006-04-11 16:22:40 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 2 Jason Baron 2006-04-21 03:28:27 UTC
committed in stream U4 build 34.21. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 5 Red Hat Bugzilla 2006-08-10 23:01:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.